Articles of apt

El barniz 3.0.7 dejó de funcionar repentinamente

Cambiado una línea en default.vcl y después de que no podía reiniciar. No me dio ningún error ni nada. Intenté ajustarlo de nuevo a la configuration anterior pero eso no ayudó. Así que decidí reiniciar. Empezar todo de nuevo. no ayudó. Y ahora después de varios bashs de reinstalar estoy atascado en esto. No pasa […]

Gitlab parcialmente eliminado – Recuperar repo's

Tengo un server privado de Gitlab en una máquina de Ubuntu. Ahora, por alguna razón, accidentalmente parcialmente desinstalado Gitlab mediante la ejecución de un mal escrito apt-get command. No sé cuál exactamente, pero comenzó a quitar Gitlab del sistema. Inmediatamente vi que algo estaba mal, así que CTRL-C'd mi path fuera de la order. Pocos […]

¿Cómo puedo deshacerme de "apache2: Depends: perl pero no va a ser instalado" en ubuntu 14.04 desktop?

Este es el post de error que tengo en la console cuando se ejecuta $sudo apt-get install apache2 Reading package lists… Done Building dependency tree Reading state information… Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some […]

Bash script de installation que se adapta a todos los sabores comunes de Linux

Mi jefe me pidió que hiciera un script de bash que podría instalar los binarys de Apache, PHP y MySQL (AMP) en una caja de Linux (sólo algunos sabores comunes de Linux). Comstackr e instalar todo por las fonts por desgracia no es una opción. Así que, tengo que hacer esto. Pensé en una posible […]

Ubuntu: actualizaciones sin supervisión de un file de package local

Tengo un file apt local con un montón de packages que construí en él. El file Packages y Release es generado por apt-ftparchive . El file Release parece Date: Thu, 06 May 2010 23:04:33 UTC Label: PPL Origin: PPL Suite: ppl MD5Sum: ebec3527ebc8351468b2ef8796c19855 37325 Packages d41d8cd98f00b204e9800998ecf8427e 0 Release SHA1: a0593b663d77fde88ee35b56ae1f3c17801cfe99 37325 Packages da39a3ee5e6b4b0d3255bfef95601890afd80709 0 Release […]

Cómo reparar Java en Ubuntu después de intentar cambiar a Java 6 usando update-java-alternatives

Intenté cambiar de Java 5 a Java 6 usando el command "update-java-alternatives" como se explica en esta página: https://help.ubuntu.com/community/Java Pero después obtengo el siguiente error cuando intenté ejecutar java: root@webserver:~# java Error occurnetworking during initialization of VM Could not reserve enough space for object heap Could not create the Java virtual machine. También intenté reinstalar […]

apt-get erroring debido a un package roto

Cada vez que ejecuto apt-get instalar o actualizar en mi server me sale el siguiente error: (Puede no ser exactamente esto porque estoy traduciendo de portugués) An error was found when processing: netatalk E: Sub-process /usr/bin/dpkg returned an error code (1) No estoy intentando instalar ese package. Este error apareció cuando intenté instalar ese package, […]

Apt se bloquea al utilizar fonts HTTP

Yo estaba recibiendo algunos de mí comportamiento inexplicable de apt-get / aptitude en un viejo server web reconocido crusty. Si bien estaba funcionando bien, tan pronto como probé una actualización de package, después de download algunas actualizaciones quedaría completamente bloqueada, entonces mi session SSH colgó (y no pude volver a conectarla), requiriendo así un duro […]

¿Cómo puedo instalar php 5.35 usando apt

Lo intenté: apt-cache policy php5-dev y consiguió Candidate: 5.3.2-1ubuntu4.7 ¿Cómo puedo get la última versión estable (5.35) usando apt, entiendo que necesito añadir un repository a mis fonts, pero ¿cómo puedo encontrar uno?

No se puede volver a instalar Postgresql en Debian Squeeze

Acabo de instalar Debian Squeeze para trabajar como un server de Postgresql, pero cuando bash recuperar una copy de security algo salió mal. Después de una búsqueda, eliminé el clúster (data dir) y desinstalé Postgresql. Después, no pude hacer que el server funcionara (instalar, eliminar, purgar). ¿Qué puedo hacer para que apt-get install postgresql se […]